VSTGUI: MenuBuilderAdapter Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
MenuBuilderAdapter Class Reference
Standalone Library

Menu builder adapter. More...

Inheritance diagram for MenuBuilderAdapter:

## Public Member Functions
bool | showCommandGroupInMenu (const Interface &context, const UTF8String &group) const override
| should the command group be visible in the menu
bool | showCommandInMenu (const Interface &context, const Command &cmd) const override
| should the command be visible in the menu
SortFunction | getCommandGroupSortFunction (const Interface &context, const UTF8String &group) const override
| return command group sort function
bool | prependMenuSeparator (const Interface &context, const Command &cmd) const override
| should a menu separator prepend a command

## Additional Inherited Members
Public Types inherited from IMenuBuilder
using | SortFunction = std::function< bool(const UTF8String &lhs, const UTF8String &rhs)>

## Detailed Description

Menu builder adapter.

## Member Function Documentation

SortFunction getCommandGroupSortFunction | ( | const Interface & | context,
|  | const UTF8String & | group
| ) |  | const
| inlineoverridevirtual

return command group sort function

Parameters

  context | either an IApplication or IWindow instance
  group | group name

Returns
  if you want to sort the menu return a SortFunction otherwise return nullptr

Implements IMenuBuilder.

bool prependMenuSeparator | ( | const Interface & | context,
|  | const Command & | cmd
| ) |  | const
| inlineoverridevirtual

should a menu separator prepend a command

Parameters

  context | either an IApplication or IWindow instance
  cmd | command

Returns
  true if a menu separator should be prepended before the command

Implements IMenuBuilder.

bool showCommandGroupInMenu | ( | const Interface & | context,
|  | const UTF8String & | group
| ) |  | const
| inlineoverridevirtual

should the command group be visible in the menu

Parameters

  context | either an IApplication or IWindow instance
  group | group name

Returns
  true for visible or false for invisible

Implements IMenuBuilder.

Reimplemented in NoMenuBuilder.

bool showCommandInMenu | ( | const Interface & | context,
|  | const Command & | cmd
| ) |  | const
| inlineoverridevirtual

should the command be visible in the menu

Parameters

  context | either an IApplication or IWindow instance
  cmd | command

Returns
  true for visible or false for invisible

Implements IMenuBuilder.

Reimplemented in NoMenuBuilder.

The documentation for this class was generated from the following file:

- menubuilder.h